gh(1)

NAME

gh-pr-review - Add a review to a pull request

SYNOPSIS

gh pr review [ | | ] [flags]

DESCRIPTION

Add a review to a pull request.

Without an argument, the pull request that belongs to the current branch is reviewed.

OPTIONS

-a, --approve[=false]
    Approve pull request

-b, --body=""
    Specify the body of a review

-c, --comment[=false]
    Comment on a pull request

-r, --request-changes[=false]
    Request changes on a pull request

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    # approve the pull request of the current branch
    $ gh pr review --approve
    # leave a review comment for the current branch
    $ gh pr review --comment -b "interesting"
    # add a review for a specific pull request
    $ gh pr review 123
    # request changes on a specific pull request
    $ gh pr review 123 -r -b "needs more ASCII art"

SEE ALSO

gh-pr(1)